#include "levelcontainer.h"
#include <string.h>
#include "loadimage.h"

LevelContainer* LevelContainer::instance = 0;

LevelContainer::LevelContainer() 
{}

LevelContainer* LevelContainer::getInstance()
{
	if (!instance)
		instance = new LevelContainer();
	return instance;
}

void LevelContainer::Initialize()
{
	entranceInn.start = 200;
	entranceInn.level = &potcatCity;
	entranceInn.image = LoadImage("Resources/inn.png");
	entranceInn.stop = entranceInn.start + entranceInn.image->w;
	
	entranceTraining.start = 800;
	entranceTraining.level = &potcatCity;
	entranceTraining.image = LoadImage("Resources/training.png");
	entranceTraining.stop = entranceTraining.start + entranceTraining.image->w;
	
	strcpy(potcatCity.name, "Potcat City");
	strcpy(potcatCity.background, "Resources/background.png");
	
	potcatCity.mapobjects[0] = &entranceInn;
	potcatCity.mapobjects[1] = &entranceTraining;
	
	currentLevel = &potcatCity;
}

void LevelContainer::changeLevel(Level *newlevel)
{
	currentLevel = newlevel;
}